curl -X PATCH https://api.wirebox.sh/api/v1/identities/eva \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"display_name": "Eva Senior Support",
"description": "Escalated support and billing queries"
}'
from wirebox import Wirebox
with Wirebox() as wirebox:
eva = wirebox.get_identity("eva")
eva.update(
display_name="Eva Senior Support",
description="Escalated support and billing queries"
)
print("Updated:", eva.display_name)
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const eva = await wirebox.getIdentity("eva");
const updated = await eva.update({
display_name: "Eva Senior Support",
description: "Escalated support and billing queries",
});
console.log("Updated:", updated.display_name);
wirebox identity update eva \
--display-name "Eva Senior Support" \
--description "Escalated support and billing queries"
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Senior Support",
"description": "Escalated support and billing queries",
"status": "active",
"imessage_enabled": false,
"mail_filter_mode": "blacklist",
"mail_inbound_filter_mode": "blacklist",
"mail_outbound_filter_mode": "blacklist",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:30:00Z",
"mailbox": {
"id": "mbx_01J8ABC123XYZ",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z"
},
"tunnel": {
"id": "tnl_01J8ABC123XYZ",
"public_url": "https://eva.wirebox.run",
"status": "active",
"is_connected": false
}
}
Agent Identities
Update Agent Identity
Update profile, channel, and mail guardrail settings for an existing agent identity.
PATCH
/
api
/
v1
/
identities
/
{handle}
curl -X PATCH https://api.wirebox.sh/api/v1/identities/eva \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"display_name": "Eva Senior Support",
"description": "Escalated support and billing queries"
}'
from wirebox import Wirebox
with Wirebox() as wirebox:
eva = wirebox.get_identity("eva")
eva.update(
display_name="Eva Senior Support",
description="Escalated support and billing queries"
)
print("Updated:", eva.display_name)
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const eva = await wirebox.getIdentity("eva");
const updated = await eva.update({
display_name: "Eva Senior Support",
description: "Escalated support and billing queries",
});
console.log("Updated:", updated.display_name);
wirebox identity update eva \
--display-name "Eva Senior Support" \
--description "Escalated support and billing queries"
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Senior Support",
"description": "Escalated support and billing queries",
"status": "active",
"imessage_enabled": false,
"mail_filter_mode": "blacklist",
"mail_inbound_filter_mode": "blacklist",
"mail_outbound_filter_mode": "blacklist",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:30:00Z",
"mailbox": {
"id": "mbx_01J8ABC123XYZ",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z"
},
"tunnel": {
"id": "tnl_01J8ABC123XYZ",
"public_url": "https://eva.wirebox.run",
"status": "active",
"is_connected": false
}
}
Path Parameters
string
required
The agent handle (e.g.
eva).Body Parameters
string
Updated display name.
string | null
Updated description. Pass
null to clear it; omit the field to leave it unchanged.boolean
Enable or disable the Apple iMessage router channel.
string
Legacy combined mail filter posture (
whitelist or blacklist).string
Inbound guardrail posture:
whitelist (only approved senders) or blacklist (open to anyone).string
Outbound guardrail posture:
whitelist (only approved recipients) or blacklist (open to anyone).string | null
Bind the identity’s mailbox to a verified custom domain by ID. Pass
null to reset to the default Wirebox domain.string | null
Bind the identity’s mailbox to a verified custom domain by hostname. Pass
null to reset to the default Wirebox domain.agent_handle is immutable and cannot be changed after creation.Response
Returns the same identity object as Create Agent Identity, includingstatus, imessage_enabled, the three mail filter modes, email_address, mailbox, and tunnel.
curl -X PATCH https://api.wirebox.sh/api/v1/identities/eva \
-H "Authorization: Bearer $WIREBOX_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"display_name": "Eva Senior Support",
"description": "Escalated support and billing queries"
}'
from wirebox import Wirebox
with Wirebox() as wirebox:
eva = wirebox.get_identity("eva")
eva.update(
display_name="Eva Senior Support",
description="Escalated support and billing queries"
)
print("Updated:", eva.display_name)
import { Wirebox } from "@wirebox-sh/sdk";
const wirebox = new Wirebox();
const eva = await wirebox.getIdentity("eva");
const updated = await eva.update({
display_name: "Eva Senior Support",
description: "Escalated support and billing queries",
});
console.log("Updated:", updated.display_name);
wirebox identity update eva \
--display-name "Eva Senior Support" \
--description "Escalated support and billing queries"
{
"id": "ident_01J8ABC123XYZ",
"agent_handle": "eva",
"display_name": "Eva Senior Support",
"description": "Escalated support and billing queries",
"status": "active",
"imessage_enabled": false,
"mail_filter_mode": "blacklist",
"mail_inbound_filter_mode": "blacklist",
"mail_outbound_filter_mode": "blacklist",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z",
"updated_at": "2026-09-11T10:30:00Z",
"mailbox": {
"id": "mbx_01J8ABC123XYZ",
"email_address": "eva@wireboxmail.com",
"created_at": "2026-09-11T10:00:00Z"
},
"tunnel": {
"id": "tnl_01J8ABC123XYZ",
"public_url": "https://eva.wirebox.run",
"status": "active",
"is_connected": false
}
}